%define anolis_release 1

%global pkgname repoze.sphinx.autointerface
%global srcname %(tr . - <<< %{pkgname})

Name:           python-%{srcname}
Version:        0.8
Release:        %{anolis_release}%{?dist}
Summary:        Auto-generate Sphinx API docs from Zope interfaces

License:        BSD
URL:            https://github.com/repoze/%{pkgname}
Source0:        https://github.com/repoze/%{pkgname}/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Upstream patch to adapt to Sphinx 4
# https://github.com/repoze/repoze.sphinx.autointerface/commit/f1ce0d2f790ebd8e1158ac8e4a1d04715053fc38
Patch0:         %{name}-sphinx4.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist wheel}
BuildRequires:  %{py3_dist zope.interface}

%global common_desc %{expand:
This package defines an extension for the Sphinx documentation system.
The extension allows generation of API documentation by introspection of
zope.interface instances in code.}

%description %{common_desc}

%package -n python3-%{srcname}
Summary:        Auto-generate Sphinx API docs from Zope interfaces

%description -n python3-%{srcname} %{common_desc}

%prep
%autosetup -n %{pkgname}-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install

%check
%py3_check_import repoze.sphinx.autointerface

%files -n python3-%{srcname}
%license COPYRIGHT.txt LICENSE.txt
%{python3_sitelib}/repoze*

%changelog
* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 0.8-1
- Import package for anolis 23
